

class EZMatrix4x4
{
public:
	float m[4][4];
public:
	EZMatrix4x4();
	~EZMatrix4x4();
	void Identity();
	void MakeRotX(float s, float c);
	void MakeRotY(float s, float c);
	void MakeRotZ(float s, float c);
	void Copy(EZMatrix4x4 * mat);
	static void Multiply(EZMatrix4x4 * in1, EZMatrix4x4 * in2, EZMatrix4x4 * out);
	void Transform(float *x, float *y, float *z);
};
